<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_101) on Fri Oct 21 15:02:57 EDT 2016 -->
<title>quarto</title>
<meta name="date" content="2016-10-21">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="quarto";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../quarto/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Package</li>
<li>Next&nbsp;Package</li>
</ul>
<ul class="navList">
<li><a href="../index.html?quarto/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;quarto</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../quarto/Board.html" title="class in quarto">Board</a></td>
<td class="colLast">
<div class="block">The Board class represents a game board which is a 2D
 array of cells.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../quarto/Cell.html" title="class in quarto">Cell</a></td>
<td class="colLast">
<div class="block">The Cell class represents a spot on a game board with
 the information of whether the spot is currently
 occupied and if it is, what piece is on that spot.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../quarto/GameGUI.html" title="class in quarto">GameGUI</a></td>
<td class="colLast">
<div class="block">The class instantiates the board for the game.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../quarto/GameState.html" title="class in quarto">GameState</a></td>
<td class="colLast">
<div class="block">The GameState class represents a specific game state of Quarto.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../quarto/MaxSizeStack.html" title="class in quarto">MaxSizeStack</a>&lt;E&gt;</td>
<td class="colLast">
<div class="block">The MaxSizeStack class represents a stack that has a maximum size
 it can possibly be.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../quarto/Piece.html" title="class in quarto">Piece</a></td>
<td class="colLast">
<div class="block">The Piece class represents a piece on the Quarto game board.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../quarto/Player.html" title="class in quarto">Player</a></td>
<td class="colLast">
<div class="block">Controller class for the players, whether human or AI.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../quarto/QuartoLogic.html" title="class in quarto">QuartoLogic</a></td>
<td class="colLast">
<div class="block">The Quarto class contains the logic and implementation of
 the Quarto game.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../quarto/Color.html" title="enum in quarto">Color</a></td>
<td class="colLast">
<div class="block">The Color enum determines the color of a quarto board piece.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../quarto/Hollow.html" title="enum in quarto">Hollow</a></td>
<td class="colLast">
<div class="block">The Hollow enum determines whether a quarto game piece is hollow or not.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../quarto/Shape.html" title="enum in quarto">Shape</a></td>
<td class="colLast">
<div class="block">The Shape enum determines the shape of a quarto game piece.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../quarto/Size.html" title="enum in quarto">Size</a></td>
<td class="colLast">
<div class="block">The Size enum determines the size of a quarto board piece.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../quarto/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Package</li>
<li>Next&nbsp;Package</li>
</ul>
<ul class="navList">
<li><a href="../index.html?quarto/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
